window.Gleam.initSearch([{"doc":"cactus","title":"cactus","content":"# 🌵 Cactus\n\n[![Package Version](https://img.shields.io/hexpm/v/cactus)](https://hex.pm/packages/cactus)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/cactus/)\n[![mit](https://img.shields.io/github/license/bwireman/cactus?color=brightgreen)](https://github.com/bwireman/cactus/blob/main/LICENSE)\n[![gleam js](https://img.shields.io/badge/%20gleam%20%E2%9C%A8-js%20%F0%9F%8C%B8-yellow)](https://gleam.run/news/v0.16-gleam-compiles-to-javascript/)\n[![gleam erlang](https://img.shields.io/badge/erlang%20%E2%98%8E%EF%B8%8F-red?style=flat&amp;label=gleam%20%E2%9C%A8)](https://gleam.run)\n\nA tool for managing git lifecycle hooks with ✨ gleam! Pre commit, Pre push and\nmore!\n\n# 🔽 Install\n\n```sh\ngleam add --dev cactus\n```\n\n#### 🌸 Javascript\n\nBun, Deno &amp; Nodejs are _all_ supported!\n\n# ▶️ Usage\n\n**_FIRST_** configure hooks and then run\n\n```sh\n# initialize configured hooks\n# specify the target depending on how you want the hooks to run\ngleam run --target &lt;javascript|erlang&gt; -m cactus\n```\n\n### ⚙️ Config\n\nSettings that can be added to your project&#39;s `gleam.toml`\n\n```toml\n[cactus]\n# init hooks on every run (default: false)\nalways_init = false\n\n# hook name (all git hooks are supported)\n[cactus.pre-commit]\n# list of actions for the hook\nactions = [\n    # command: name of the command or binary to be run: required\n    # kind: is it a gleam subcommand, a binary or a module: [&quot;sub_command&quot;, &quot;binary&quot;, &quot;module&quot;], default: module\n    # args: additional args to be passed to the command, default: []\n    # files: file paths &amp; endings that you want to trigger the action\n    # default: [] (meaning always trigger)\n\n    # check formatting\n    { command = &quot;format&quot;, kind = &quot;sub_command&quot;, args = [&quot;--check&quot;], files = [&quot;.gleam&quot;, &quot;src/f/oo.gleam&quot;] },\n    # run tests\n    { command = &quot;./scripts/test.sh&quot;, kind = &quot;binary&quot; },\n    # check dependencies 🕵️‍♂️\n    # self plug of https://github.com/bwireman/go-over\n    { command = &quot;go_over&quot;, kind = &quot;module&quot;, args=[&quot;--outdated&quot;] }\n]\n```\n","url":"index.html"},{"doc":"cactus","title":"main","content":"pub fn main() -&gt; Result(Nil, CactusErr)\n\nSynonyms:\ncactus.main\ncactus main","url":"cactus.html#main"},{"doc":"cactus","title":"cactus","content":"","url":"cactus.html"}]);